import * as $dara from '@darabonba/typescript';
import { GetFileDetectReportResponseBody } from "./GetFileDetectReportResponseBody";
export declare class GetFileDetectReportResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetFileDetectReportResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
